/*****************************************************************************
* Copyright (c) Future Technology Devices International 2014
* propriety of Future Technology devices International.
*
* Software License Agreement
*
* This code is provided as an example only and is not guaranteed by FTDI. 
* FTDI accept no responsibility for any issues resulting from its use. 
* The developer of the final application incorporating any parts of this 
* sample project is responsible for ensuring its safe and correct operation 
* and for any consequences resulting from its use.
*****************************************************************************/
/**
* @file                           FT_VI800A_N485U.h
* @brief                          Contains Arduino specific macros for VI800A_N485U platform.
								  Tested platform version: Arduino 1.0.4 and later
* @version                        1.0.0
* @date                           2014/10/01
*
*/
#ifndef _FT_VI800A_N485U_H_
#define _FT_VI800A_N485U_H_


/* Platform specific includes */
#if defined(__AVR__)
	#if defined(ARDUINO) && ARDUINO >= 100
		#include "Arduino.h"
	#else
		#include "WProgram.h"
	#endif

#else
	//#include "WProgram.h"
#endif

/* Standard library includes */
#include "stdint.h"
#include "avr/pgmspace.h"
/* Driver related includes */
#include "SPI.h"

//macros specific to platform

// Arduino SPI pin for addon module
#define  FT_N485U_CS  SS

#define VI800A_N485U_MODULE

/* Interrupt and reset pin numbers */
#define FT_N485U_INT			(2)

/* Hardware specific include files */
#include "hardware/SC16IS760IBS/SC16IS760IBS.h"
/* Library specific includes */
#include "libraries/FT_VI800A/FT_VI800A.h"

#endif /* _FT_VI800A_N485U_H_ */


